For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metadata

This documentation describes the available API endpoints for retrieving metadata and translations.

Retrieves a list of fixtures based on provided sport, location, and league IDs.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
sportIdsinteger · int32[] · nullableOptional
locationIdsinteger · int32[] · nullableOptional
leagueIdsinteger · int32[] · nullableOptional
Responses
200

Success

post/Fixtures/Get
POST /Fixtures/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 100

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "sportIds": [
    1
  ],
  "locationIds": [
    1
  ],
  "leagueIds": [
    1
  ]
}
200

Success

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "fixtures": [
      1
    ]
  }
}

Retrieves a list of subscribed fixtures based on provided sport, location, and league IDs.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
sportIdsinteger · int32[] · nullableOptional
locationIdsinteger · int32[] · nullableOptional
leagueIdsinteger · int32[] · nullableOptional
Responses
200

OK

post/Fixtures/Get
POST /Fixtures/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 100

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "sportIds": [
    1
  ],
  "locationIds": [
    1
  ],
  "leagueIds": [
    1
  ]
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "fixtures": [
      1
    ]
  }
}

Retrieves a list of leagues based on sport and location IDs.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
sportIdsinteger · int32[] · nullableOptional
locationIdsinteger · int32[] · nullableOptional
subscriptionStatusinteger · enumOptionalPossible values:
languageIdinteger · int32 · nullableOptional
Responses
200

Success

post/Leagues/Get
POST /Leagues/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 122

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "sportIds": [
    1
  ],
  "locationIds": [
    1
  ],
  "subscriptionStatus": 0,
  "languageId": 1
}
200

Success

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "leagues": [
      {
        "id": 1,
        "name": "text",
        "season": "text",
        "sportId": 1,
        "locationId": 1
      }
    ]
  }
}

Retrieves a list of leagues based on sport and location IDs.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
sportIdsinteger · int32[] · nullableOptional
locationIdsinteger · int32[] · nullableOptional
subscriptionStatusinteger · enumOptional
  • 0 - All
  • 1 - NotSubscribed
  • 2 - Subscribed
Possible values:
languageIdinteger · int32 · nullableOptional
Responses
200

OK

post/Leagues/Get
POST /Leagues/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 122

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "sportIds": [
    1
  ],
  "locationIds": [
    1
  ],
  "subscriptionStatus": 0,
  "languageId": 1
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "leagues": [
      {
        "id": 1,
        "name": "text",
        "season": "text",
        "sportId": 1,
        "locationId": 1
      }
    ]
  }
}

Retrieves a list of locations.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
languageIdinteger · int32 · nullableOptional
Responses
200

Success

post/Locations/Get
POST /Locations/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 66

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "languageId": 1
}
200

Success

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "locations": [
      {
        "id": 1,
        "name": "text"
      }
    ]
  }
}

Retrieves a list of locations.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
languageIdinteger · int32 · nullableOptional
Responses
200

OK

post/Locations/Get
POST /Locations/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 66

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "languageId": 1
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "locations": [
      {
        "id": 1,
        "name": "text"
      }
    ]
  }
}

Retrieves states data with filtering options

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

Success

post/States/Get
POST /States/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 94

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "stateIds": [
      1
    ],
    "countryIds": [
      1
    ]
  }
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "stateId": 1,
        "name": "text",
        "country": {
          "id": 1,
          "name": "text"
        }
      }
    ]
  }
}

Retrieves states data with filtering options

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

Success

post/States/Get
POST /States/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 94

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "stateIds": [
      1
    ],
    "countryIds": [
      1
    ]
  }
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "stateId": 1,
        "name": "text",
        "country": {
          "id": 1,
          "name": "text"
        }
      }
    ]
  }
}

Retrieves cities data with filtering options

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

Success

post/Cities/Get
POST /Cities/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 108

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "cityIds": [
      1
    ],
    "countryIds": [
      1
    ],
    "stateIds": [
      1
    ]
  }
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "cityId": 1,
        "name": "text",
        "country": {
          "id": 1,
          "name": "text"
        },
        "state": {
          "id": 1,
          "name": "text"
        }
      }
    ]
  }
}

Retrieves cities data with filtering options

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

Success

post/Cities/Get
POST /Cities/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 108

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "cityIds": [
      1
    ],
    "countryIds": [
      1
    ],
    "stateIds": [
      1
    ]
  }
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "cityId": 1,
        "name": "text",
        "country": {
          "id": 1,
          "name": "text"
        },
        "state": {
          "id": 1,
          "name": "text"
        }
      }
    ]
  }
}

Retrieves venues data with filtering options

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

Success

post/Venues/Get
POST /Venues/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 123

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "venueIds": [
      1
    ],
    "countryIds": [
      1
    ],
    "stateIds": [
      1
    ],
    "cityIds": [
      1
    ]
  }
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "venueId": 1,
        "name": "text",
        "country": {
          "id": 1,
          "name": "text"
        },
        "state": {
          "id": 1,
          "name": "text"
        },
        "city": {
          "id": 1,
          "name": "text"
        }
      }
    ]
  }
}

Retrieves venues data with filtering options

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

Success

post/Venues/Get
POST /Venues/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 123

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "venueIds": [
      1
    ],
    "countryIds": [
      1
    ],
    "stateIds": [
      1
    ],
    "cityIds": [
      1
    ]
  }
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "venueId": 1,
        "name": "text",
        "country": {
          "id": 1,
          "name": "text"
        },
        "state": {
          "id": 1,
          "name": "text"
        },
        "city": {
          "id": 1,
          "name": "text"
        }
      }
    ]
  }
}

Retrieves participants data with filtering and pagination

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
pageinteger · int32 · min: 1 · max: 2147483647Optional
pageSizeinteger · int32 · min: 1 · max: 500Optional
Responses
200

OK

post/Participants/Get
POST /Participants/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 177

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "ids": [
      1
    ],
    "sportIds": [
      1
    ],
    "locationIds": [
      1
    ],
    "name": "text",
    "gender": 1,
    "ageCategory": 0,
    "type": 1
  },
  "page": 1,
  "pageSize": 1
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "id": 1,
        "sportId": 1,
        "locationId": 1,
        "name": "text",
        "gender": 1,
        "ageCategory": 0,
        "type": 1
      }
    ],
    "totalItems": 1
  }
}

Retrieves participants data with filtering and pagination

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
pageinteger · int32 · min: 1 · max: 2147483647Optional
pageSizeinteger · int32 · min: 1 · max: 500Optional
Responses
200

OK

post/Participants/Get
POST /Participants/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 177

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "ids": [
      1
    ],
    "sportIds": [
      1
    ],
    "locationIds": [
      1
    ],
    "name": "text",
    "gender": 1,
    "ageCategory": 0,
    "type": 1
  },
  "page": 1,
  "pageSize": 1
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "id": 1,
        "sportId": 1,
        "locationId": 1,
        "name": "text",
        "gender": 1,
        "ageCategory": 0,
        "type": 1
      }
    ],
    "totalItems": 1
  }
}

For details on how to use pagination in this endpoint, see the Pagination Guide.

Retrieves a list of markets based on various filters like sport, location, league, and market type.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
sportsIdinteger · int32[] · nullableOptional
locationsIdinteger · int32[] · nullableOptional
leaguesIdinteger · int32[] · nullableOptional
marketsIdinteger · int32[] · nullableOptional
isSettleableboolean · nullableOptional
marketTypeinteger · enumOptionalPossible values:
languageIdinteger · int32 · nullableOptional
Responses
200

Success

post/Markets/Get
POST /Markets/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 166

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "sportsId": [
    1
  ],
  "locationsId": [
    1
  ],
  "leaguesId": [
    1
  ],
  "marketsId": [
    1
  ],
  "isSettleable": true,
  "marketType": 0,
  "languageId": 1
}
200

Success

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "markets": [
      {
        "id": 1,
        "name": "text",
        "isSettleable": true
      }
    ]
  }
}

Retrieves a list of markets based on various filters like sport, location, league, and market type.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
sportsIdinteger · int32[] · nullableOptional
locationsIdinteger · int32[] · nullableOptional
leaguesIdinteger · int32[] · nullableOptional
marketsIdinteger · int32[] · nullableOptional
isSettleableboolean · nullableOptional
marketTypeinteger · enumOptional
  • 0 - All
  • 1 - StandardSportMarkets
  • 2 - OutrightMarkets
Possible values:
languageIdinteger · int32 · nullableOptional
Responses
200

OK

post/Markets/Get
POST /Markets/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 166

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "sportsId": [
    1
  ],
  "locationsId": [
    1
  ],
  "leaguesId": [
    1
  ],
  "marketsId": [
    1
  ],
  "isSettleable": true,
  "marketType": 0,
  "languageId": 1
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "markets": [
      {
        "id": 1,
        "name": "text",
        "isSettleable": true
      }
    ]
  }
}

Retrieves a list of sports.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
languageIdinteger · int32 · nullableOptional
Responses
200

Success

post/Sports/Get
POST /Sports/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 66

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "languageId": 1
}
200

Success

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "sports": [
      {
        "id": 1,
        "name": "text"
      }
    ]
  }
}

Retrieves a list of sports.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
languageIdinteger · int32 · nullableOptional
Responses
200

OK

post/Sports/Get
POST /Sports/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 66

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "languageId": 1
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "sports": [
      {
        "id": 1,
        "name": "text"
      }
    ]
  }
}

Retrieves incidents data from internal service

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

OK

post/Incidents/Get
POST /Incidents/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 141

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "ids": [
      1
    ],
    "sports": [
      1
    ],
    "from": "2026-01-01T00:00:00.000Z",
    "searchText": [
      "text"
    ]
  }
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "sportId": 1,
        "sportName": "text",
        "incidentId": 1,
        "incidentName": "text",
        "description": "text",
        "lastUpdate": "2026-01-01T00:00:00.000Z",
        "creationDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "totalItems": 1
  }
}

Retrieves incidents data from internal service

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
Responses
200

OK

post/Incidents/Get
POST /Incidents/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 141

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "filter": {
    "ids": [
      1
    ],
    "sports": [
      1
    ],
    "from": "2026-01-01T00:00:00.000Z",
    "searchText": [
      "text"
    ]
  }
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "data": [
      {
        "sportId": 1,
        "sportName": "text",
        "incidentId": 1,
        "incidentName": "text",
        "description": "text",
        "lastUpdate": "2026-01-01T00:00:00.000Z",
        "creationDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "totalItems": 1
  }
}

Retrieves seasons optionally filtered by Season ID.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
seasonIdinteger · int32 · nullableOptional
Responses
200

Success

post/Seasons/Get
POST /Seasons/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 64

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "seasonId": 1
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "seasons": [
      {
        "seasonId": 1,
        "seasonName": "text"
      }
    ]
  }
}

Retrieves seasons optionally filtered by Season ID.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
seasonIdinteger · int32 · nullableOptional
Responses
200

Success

post/Seasons/Get
POST /Seasons/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 64

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "seasonId": 1
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "seasons": [
      {
        "seasonId": 1,
        "seasonName": "text"
      }
    ]
  }
}

Retrieves tours optionally filtered by Tour ID and/or Sport ID.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
tourIdinteger · int32 · nullableOptional
sportIdinteger · int32 · nullableOptional
Responses
200

Success

post/Tours/Get
POST /Tours/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 74

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "tourId": 1,
  "sportId": 1
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "tours": [
      {
        "tourId": 1,
        "tourName": "text",
        "sportId": 1,
        "sportName": "text"
      }
    ]
  }
}

Retrieves tours optionally filtered by Tour ID and/or Sport ID.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
tourIdinteger · int32 · nullableOptional
sportIdinteger · int32 · nullableOptional
Responses
200

Success

post/Tours/Get
POST /Tours/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 74

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "tourId": 1,
  "sportId": 1
}
{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "tours": [
      {
        "tourId": 1,
        "tourName": "text",
        "sportId": 1,
        "sportName": "text"
      }
    ]
  }
}
  • Last Update Timestamp: The LastUpdate field for each incident represents the last time the incident was sent from the TRADE system. It does not reflect the time when the incident itself was last modified or updated.

  • Creation Date Handling: For incidents created before May 28, 2025, the CreationDate field is set to a default placeholder value of 01/01/00. Incidents created on or after May 28, 2025 will reflect their actual creation date in the CreationDate field.

Retrieves translations for various entities (sports, locations, leagues, markets, participants) for specified languages.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
languagesinteger · int32[]Required
sportIdsinteger · int32[] · nullableOptional
locationIdsinteger · int32[] · nullableOptional
leagueIdsinteger · int32[] · nullableOptional
marketIdsinteger · int32[] · nullableOptional
participantIdsinteger · int32[] · nullableOptional
Responses
200

Success

post/Translation/Get
POST /Translation/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 153

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "languages": [
    1
  ],
  "sportIds": [
    1
  ],
  "locationIds": [
    1
  ],
  "leagueIds": [
    1
  ],
  "marketIds": [
    1
  ],
  "participantIds": [
    1
  ]
}
200

Success

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "sports": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "locations": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "leagues": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "markets": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "participants": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    }
  }
}

Retrieves translations for various entities (sports, locations, leagues, markets, participants) for specified languages.

post
Body
packageIdinteger · int32Required
userNamestring · min: 1Required
passwordstring · min: 1Required
languagesinteger · int32[]Required
sportIdsinteger · int32[] · nullableOptional
locationIdsinteger · int32[] · nullableOptional
leagueIdsinteger · int32[] · nullableOptional
marketIdsinteger · int32[] · nullableOptional
participantIdsinteger · int32[] · nullableOptional
Responses
200

OK

post/Translation/Get
POST /Translation/Get HTTP/1.1
Host: stm-api.lsports.eu
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 153

{
  "packageId": 1,
  "userName": "text",
  "password": "text",
  "languages": [
    1
  ],
  "sportIds": [
    1
  ],
  "locationIds": [
    1
  ],
  "leagueIds": [
    1
  ],
  "marketIds": [
    1
  ],
  "participantIds": [
    1
  ]
}
200

OK

{
  "header": {
    "httpStatusCode": 1,
    "errors": [
      {
        "message": "text"
      }
    ]
  },
  "body": {
    "sports": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "locations": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "leagues": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "markets": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    },
    "participants": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "languageId": 1,
          "value": "text"
        }
      ]
    }
  }
}
  • You must supply at least one of the non-mandatory fields to request the IDs you want to translate.

  • If the request has no optional field to translate, the response will return an ErrorCode 400, and the message will include the error.

  • If the request is without a Languages field, the response will return an error with an informative message.

  • Participant names are not translated for Esports participants (Type = 5 on the participant, not a field returned by this endpoint). Expect these names to always come back in English regardless of the requested language.

Last updated

Was this helpful?